Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchMessagesFilter

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SearchMessagesFilter

Direct Known Subclasses:
  `TdApi.SearchMessagesFilterAnimation`, `TdApi.SearchMessagesFilterAudio`, `TdApi.SearchMessagesFilterChatPhoto`, `TdApi.SearchMessagesFilterDocument`, `TdApi.SearchMessagesFilterEmpty`, `TdApi.SearchMessagesFilterFailedToSend`, `TdApi.SearchMessagesFilterMention`, `TdApi.SearchMessagesFilterPhoto`, `TdApi.SearchMessagesFilterPhotoAndVideo`, `TdApi.SearchMessagesFilterPinned`, `TdApi.SearchMessagesFilterUnreadMention`, `TdApi.SearchMessagesFilterUnreadReaction`, `TdApi.SearchMessagesFilterUrl`, `TdApi.SearchMessagesFilterVideo`, `TdApi.SearchMessagesFilterVideoNote`, `TdApi.SearchMessagesFilterVoiceAndVideoNote`, `TdApi.SearchMessagesFilterVoiceNote`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.SearchMessagesFilter extends TdApi.Object permits TdApi.SearchMessagesFilterEmpty, TdApi.SearchMessagesFilterAnimation, TdApi.SearchMessagesFilterAudio, TdApi.SearchMessagesFilterDocument, TdApi.SearchMessagesFilterPhoto, TdApi.SearchMessagesFilterVideo, TdApi.SearchMessagesFilterVoiceNote, TdApi.SearchMessagesFilterPhotoAndVideo, TdApi.SearchMessagesFilterUrl, TdApi.SearchMessagesFilterChatPhoto, TdApi.SearchMessagesFilterVideoNote, TdApi.SearchMessagesFilterVoiceAndVideoNote, TdApi.SearchMessagesFilterMention, TdApi.SearchMessagesFilterUnreadMention, TdApi.SearchMessagesFilterUnreadReaction, TdApi.SearchMessagesFilterFailedToSend, TdApi.SearchMessagesFilterPinned
This class is an abstract base class. Represents a filter for message search results.

## Constructor Summary

Constructors
Constructor
Description
`SearchMessagesFilter()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SearchMessagesFilter

public SearchMessagesFilter()
Default class constructor.